/*
 * Copyright 2006, 2008 Hristo Koshutanski, Aliaksandr Lazouski, Associazione CREATE-NET, and Universita' degli Studi di Trento.  
 * 
 * This file is part of iAccess authorization service software (called iAccess).
 * iAccess is free software: you can redistribute it and/or modify 
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * iAccess is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with iAccess.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

package org.iaccess.CredentialManager;


/**
 * Keeps information of credentials local to an iAccess agent.
 * The information is loaded from the config.xml file.
 * <p> Next iAccess release should implement the functionality of this class in a different (secure) way.
 */
public class CredentialsConfig {
    
    /** Creates a new instance of CredentialsConfig */
    public CredentialsConfig() {
    }
    
    //Key store for certificates      
    public static String CaKeys = "";
    public static String CaKeysPassword = "";
    public static String CertificateDB = "";
    public static String CertificateThirdPartyDB = "";
     
    //store for profiles
    public static String ProfilesDB = "";
    
    //SSL parametres
    public static boolean needClientAuth = false;
   
    public static String principalName = ""; 
    public static String DEFAULT_PASSWORD= "";
    public static String DEFAULT_KEYS= "";
    public static String DEFAULT_TRUSTSTORE= "";
}