/*
 * Copyright 2006, 2008 Hristo Koshutanski, Aliaksandr Lazouski, Associazione CREATE-NET, and Universita' degli Studi di Trento.  
 * 
 * This file is part of iAccess authorization service software (called iAccess).
 * iAccess is free software: you can redistribute it and/or modify 
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * iAccess is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with iAccess.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

package org.iaccess.LogicalLayer;


/**
 * Encapsulates results of logic level computations. It is used only to interface results within the logic level,
 * and between the logic level and the negotiation level.
 * @see org.iaccess.LogicalLayer.BasicAccessControlAlgorithm
 */
public class ResultOfOperation
{
    private boolean isResult;
	private Object resObj;

	
	public ResultOfOperation(boolean InitResult, Object InitObject)
	{
	    isResult=InitResult;
	    resObj=InitObject; 
	}

	public ResultOfOperation()
	{
	    isResult=false;
	    resObj=null; 
	}
	
	public void setIsSuccessful(boolean inSucc)
	{
	    isResult = inSucc;
	}

	public void setOperationResult(Object inObj)
	{
	    resObj = inObj;
	}

	public boolean isSuccessful()
	{
	    return isResult;
	}
	
	public Object getOperationResult()
	{
	    return resObj;
	}

}
